<div class="login">
  <nz-card>
    <nz-card-meta [nzAvatar]="cardIcon" [nzTitle]="cardTitle">
      <ng-template #cardIcon>
        <fa-icon [icon]="faUser"></fa-icon>
      </ng-template>
      <ng-template #cardTitle>
        <h2 i18n="Login | Header Login form @@loginFormHeader">Login</h2>
      </ng-template>
    </nz-card-meta>

    <form nz-form [formGroup]="form" (ngSubmit)="onSubmit()">
      <nz-form-item>
        <nz-form-label [nzSm]="6" [nzXs]="24" nzFor="email">
          E-Mail
        </nz-form-label>
        <nz-form-control [nzSm]="14" [nzXs]="24" nzHasFeedback [nzErrorTip]="localizedEmailError">
          <ng-template #localizedEmailError let-control>
            <span i18n="E-Mail Required Hint @@emailRequiredHint">E-Mail is <strong>required</strong></span>
          </ng-template>
          <input nz-input id="email" placeholder="E-Mail" [formControl]="emailControl" required/>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label [nzSm]="6" [nzXs]="24" nzFor="password" i18n="Password @@password">
          Password
        </nz-form-label>
        <nz-form-control [nzSm]="14" [nzXs]="24" nzHasFeedback [nzErrorTip]="localizedPasswordError">
          <ng-template #localizedPasswordError let-control>
            <span i18n="Password Required Hint @@passwordRequiredHint">Password is <strong>required</strong></span>
          </ng-template>
          <nz-input-group [nzAddOnAfter]="hidePasswordButton">
            <ng-template #hidePasswordButton>
              <button
                type="button"
                class="password-visibility"
                nz-button
                nzShape="circle"
                nzSize="small"
                (click)="hide = !hide"
                [attr.aria-label]="'Hide password'"
                [attr.aria-pressed]="hide">
                <fa-icon *ngIf="!hide" [icon]="faEye"></fa-icon>
                <fa-icon *ngIf="hide" [icon]="faEyeSlash"></fa-icon>
              </button>
            </ng-template>
            <input
              nz-input
              [type]="hide ? 'password' : 'text'"
              [formControl]="passwordControl" required />
          </nz-input-group>
        </nz-form-control>
      </nz-form-item>

      <button
        nz-button
        nzType="primary"
        i18n="Login | Header Login Button Text @@login">
        Login
      </button>

    </form>
  </nz-card>
</div>
